{ inputs, ... }:
let
  assets = "${inputs.self}/assets";
  genericFonts = {
    family = "Pretendard JP";
    pointSize = 10;
  };
in
{
  home.file.".local/share/color-schemes/Kawa.colors".source = "${assets}/Kawa.colors";
  home.file.".config/autostart/1password.desktop".source = "${assets}/1password.desktop";

  programs.plasma = {
    enable = true;

    workspace = {
      clickItemTo = "select";
      enableMiddleClickPaste = false;
      colorScheme = "Kawa";
    };

    fonts = {
      fixedWidth = {
        family = "NanumGothicCoding";
        pointSize = 10;
      };
      general = genericFonts;
      toolbar = genericFonts;
      menu = genericFonts;
      windowTitle = genericFonts;
      small = genericFonts // {
        pointSize = 8;
      };
    };

    session.sessionRestore.restoreOpenApplicationsOnLogin = "startWithEmptySession";
  };
}
